Ubuntu

Activity log for bug #295366

Date Who What changed Old value New value Message
2008-11-07 23:17:05 Iain Lane bug added bug
2008-11-07 23:22:42 Iain Lane bug added attachment '016020000504619003002570960007040095000000000340090700069087500100953604000060810' (016020000504619003002570960007040095000000000340090700069087500100953604000060810)
2008-11-07 23:23:33 Iain Lane bug added attachment 'gnome-games_2.24.1.1-0ubuntu0.1.diff.gz' (gnome-games_2.24.1.1-0ubuntu0.1.diff.gz)
2008-11-07 23:23:54 Iain Lane bug added subscriber Ubuntu Stable Release Updates Team
2008-11-07 23:28:19 Iain Lane bug added attachment 'gnome-games_2.24.1.1-0ubuntu0.1.diff.gz' (gnome-games_2.24.1.1-0ubuntu0.1.diff.gz)
2008-11-07 23:51:50 Pedro Villavicencio gnome-games: importance Undecided Wishlist
2008-11-07 23:51:50 Pedro Villavicencio gnome-games: statusexplanation
2008-11-07 23:54:49 Iain Lane description Binary package hint: gnome-games gnome-games 2.24.1.1 includes a few nice fixes that we should get. Upstream changelog: This is an unscheduled bugfix release. It most importantly fixes two regressions in sudoku and gnotravex. UPSTREAM CHANGELOG ============== Gnometris: - Correct page_size for spinbutton (Thomas H.P. Andersen) Gnotravex: - Fix regression where starting a new game from the high score dialog does not work. (Robert Ancell) Sudoku: - Don't crash on pre 2.24 savegames (Zhang Sen) - Disallow using ctrl+a when the game is already won (Zhang Sen) Translations: - de: Mario Blättermann, Hendrik Richter - gl: Ignacio Casal Quinteiro TEST CASES ======= For sudoku, drop the attached file (below) in your ~/.sudoku/saved/ directory. This is just a savegame from 2.22. Run sudoku and play for a bit. After a while you should see a crash with a python trace referring to "timers". I don't know exactly how to trigger this crash - it seems that resizing the window and clicking on various buttons can sometimes cause it to happen. The new version will play this savegame with no trouble. For tetravex, launch it and then win a game (yes, yes it's very difficult I know ;). In the high score window, click "New Game" and note that it doesn't do what it says it will. The new version will work correctly. Binary package hint: gnome-games gnome-games 2.24.1.1 includes a few nice fixes that we should get, including a fix for a crasher in sudoku. UPSTREAM CHANGELOG ============== This is an unscheduled bugfix release. It most importantly fixes two regressions in sudoku and gnotravex. Gnometris: - Correct page_size for spinbutton (Thomas H.P. Andersen) Gnotravex: - Fix regression where starting a new game from the high score dialog does not work. (Robert Ancell) Sudoku: - Don't crash on pre 2.24 savegames (Zhang Sen) - Disallow using ctrl+a when the game is already won (Zhang Sen) Translations: - de: Mario Blättermann, Hendrik Richter - gl: Ignacio Casal Quinteiro TEST CASES ======= For sudoku, drop the attached file (below) in your ~/.sudoku/saved/ directory. This is just a savegame from 2.22. Run sudoku and play for a bit. After a while you should see a crash with a python trace referring to "timers". I don't know exactly how to trigger this crash - it seems that resizing the window and clicking on various buttons can sometimes cause it to happen. The new version will play this savegame with no trouble. For tetravex, launch it and then win a game (yes, yes it's very difficult I know ;). In the high score window, click "New Game" and note that it doesn't do what it says it will. The new version will work correctly.
2008-11-07 23:54:49 Iain Lane title Please update gnome-games to 2.24.1.1 Please update gnome-games to 2.24.1.1 - includes fix for crasher in sudoku
2008-11-10 07:13:16 Martin Pitt bug added subscriber Ubuntu Sponsors for main
2008-11-10 09:02:55 Martin Pitt gnome-games: status New Fix Committed
2008-11-10 09:02:55 Martin Pitt gnome-games: statusexplanation
2008-11-10 09:03:26 Martin Pitt bug added subscriber SRU Verification
2008-11-11 19:30:09 C de-Avillez bug assigned to gnome-games
2008-11-12 13:23:19 Sebastien Bacher gnome-games: importance Undecided Low
2008-11-17 08:04:25 Martin Pitt gnome-games: status Fix Committed Fix Released
2008-11-17 08:04:25 Martin Pitt gnome-games: statusexplanation Copied to intrepid-updates and jaunty.
2008-11-17 11:42:26 Pedro Villavicencio gnome-games: status New Fix Released
2009-01-07 06:41:04 Bug Watch Updater gnome-games: status Unknown Fix Released
2010-09-15 23:52:56 Bug Watch Updater gnome-games: importance Unknown Critical
2011-02-17 10:29:11 Daniel Holbach bug added subscriber Ubuntu Sponsors Team
2011-02-17 10:29:23 Daniel Holbach removed subscriber [DEPRECATED] Ubuntu Sponsors for main
2011-02-22 00:37:32 Benjamin Drung removed subscriber Ubuntu Sponsors Team
2011-10-26 01:26:22 Launchpad Janitor branch linked lp:ubuntu/gnome-games